Skip to main content
PATCH
Update object
Required scopes: data_objects.schema.manage

Authorizations

Authorization
string
header
required

Use Authorization: Bearer rk_live_....

Headers

Idempotency-Key
string
required

A unique value for each new request, such as a UUID. Send the same value to retry a request safely. The same key and payload replay the first response with Idempotency-Replayed: true.

Required string length: 1 - 160

Path Parameters

object_id
string
required

Object id, system key such as system:leads, or slug from discovery.

Required string length: 1 - 200

Body

application/json
label_plural
string
required
Maximum string length: 120
label_singular
string
required
Maximum string length: 120
icon
string
required
Maximum string length: 80
color
string
required
Maximum string length: 32
description
string | null
Maximum string length: 2000

Response

Object metadata updated.

id
string
required
slug
string
required